-- Ŀ
--  HTTP-EGI.E X1.01 Euphoria Gateway Interface                              
--  By Peter Blue <Peter.Blue@legend-i.demon.co.uk>                          
-- 
-- Dummy function
-- This where you can add extra functions to the server.

-- Example data :-
-- URL:  /index.egi
-- HEAD: 

constant crlf = 13 & 10

global function HttpProcessEGI(sequence url, sequence query, sequence head)
  sequence htm,z,data

  z  = "<CENTER><H1> Euphoria Gateway Interface </H1></CENTER>"
  
  z &= "<UL>" & crlf
  
  z &= sprintf("<LI><B>URL</B> = %s\n",{url})

  data = EcgiGetKey(head,"user-agent:",13)
  z &= sprintf("<LI><B>User Agent</B> = %s\n",{data})

  data = EcgiGetKey(head,"referer:",13)
  z &= sprintf("<LI><B>Referer</B> = %s\n",{data})

  z &= sprintf("<LI><B>Query Data</B> = %s\n",{query})
  z &= sprintf("<LI><B>Head Data</B> = %s\n",{head})
  z &= sprintf("<LI><B>Page Hits</B> = %d\n",{HttpPageHits})
  
  z &= "</UL>\n" & crlf

  
  htm = HtmlPage(z,"EGI Test Page")
  
  return {200,htm,"text/html",""}
end function
-- Must return {result-code,content,content-type,date-time}
-- Note: date-time is optional
